Trädvy Permalänk
Medlem
Registrerad
Okt 2016

Drivrutiner till Nvidia!

Har lyckats installera NVIDIA drivrutiner till Linux Mint. Dock får jag detta felmeddelande när jag ska välja de i Driver Manager:

The following packages have unmet dependencies:

nvidia-367: Depends: x11-common (>= 1:7.0.0) but 1:7.7+13ubuntu3 is to be installed
Depends: libgl1 but it is a virtual package
Depends: xorg-video-abi-20 but it is a virtual package
nvidia-375: Depends: x11-common (>= 1:7.0.0) but 1:7.7+13ubuntu3 is to be installed
Depends: libgl1 but it is a virtual package
Depends: xorg-video-abi-23 but it is not going to be installed

Någon som har någon aning? Har jag två versioner av drivrutiner? Hur kan jag få det att fungera?
Är helt grön på Linux så allt uppskattas!

Trädvy Permalänk
Medlem
Registrerad
Dec 2015

Hur menar du att du lyckats installera drivrutiner? Det är ju precis det driver manager gör åt dig, bara välja en drivrutin i driver manager så installeras allt som det ska auto.

Är det en fysisk dator eller en virtuell maskin du leker med ?

Trädvy Permalänk
Medlem
Registrerad
Okt 2016

@Klubba: Det är en fysisk dator. Innan kunde jag inte få fram NVIDIA som alternativ på Driver Manager.

Följde denna lilla guide och då kom NVIDIA upp som alternativ.
http://tipsonubuntu.com/2016/11/19/nvidia-375-20-released-x-o...

Dock får jag det felmeddelandet när jag väljer NVIDIA och klickar på Apply.

Trädvy Permalänk
Medlem
Registrerad
Dec 2015

Vilken linux mint har du? 18.1?
Skummt, du borde ha nvidia som alternativ utan att göra nåt, kanske något knas. Vilka "mirrors" har du valt på synaptic under settings>repositories>official repositories? Har fått skumma problem förr med mirrors så kör alltid officiella från linuxmint.com och ubuntu.com nu så kan vara värt att prova ändra det.

Vad du gjort när du följde guiden är att du lagt till en separat PPA med nya nvidia-drivrutiner på för ubuntu 16.04, dessa bör fungera i mint 18 och 18.1, men som sagt du ska få upp nvidia-drivisar med officiella repositories också så verkar vara något knas. Alla nya drivisar kommer tids nog till de officiela repositoryt när de är tillräckligt testade så vill man undvika strul är det oftast bara vänta

Trädvy Permalänk
Medlem
Registrerad
Okt 2016

@Klubba: Jag tog bort Nvidia-367 och installerade Nvidia-375 via Synpatic Package manager och startade om datorn, nu funkar det som det ska och grafiken är på top!

På mirrors har jag valt umu.se på main(serena) och ubuntu.com som base(xenial). Bör jag välja bort umu.se?

Det skumma är att jag inte har fått upp de officiella drivrutinerna och har kämpat med detta sedan i söndags då jag lite impulsivt valde att gå från win7 till Linux Mint 18.
Någon aning vad det kan bero på?

Trädvy Permalänk
Medlem
Registrerad
Dec 2015
Skrivet av terremoto:

@Klubba: Jag tog bort Nvidia-367 och installerade Nvidia-375 via Synpatic Package manager och startade om datorn, nu funkar det som det ska och grafiken är på top!

På mirrors har jag valt umu.se på main(serena) och ubuntu.com som base(xenial). Bör jag välja bort umu.se?

Det skumma är att jag inte har fått upp de officiella drivrutinerna och har kämpat med detta sedan i söndags då jag lite impulsivt valde att gå från win7 till Linux Mint 18.
Någon aning vad det kan bero på?

umu.se funkar säkert, är bara gammal erfarenhet som gör att jag inte litar på mirrors, de har säkert blivit bättre och umeå universitet får väl anses pålitligt.

Bra att det funkar, men fortfarande lite skumt, verkar ju blivit nån konflikt med dina paket i.a.f , vågar inte gissa vad det kan bero på

Trädvy Permalänk
Medlem
Registrerad
Okt 2016

@Klubba: Jag valde just umu.se för att jag ansåg det pålitligt men har som sagt ingen erfarenhet. Tack så mycket för att du ändå upplyste mig, det är en djungel att vara ny på Linux.